package com.bytedance.android.livesdk.livesetting.other;

import X.C1902GKp;
import com.bytedance.android.live.annotation.Group;
import com.bytedance.android.live.annotation.SettingsKey;
import com.bytedance.android.live_settings.SettingsManager;
import com.bytedance.covode.number.Covode;

@SettingsKey("live_commerce_banner")
public final class LiveCommerceBannerSetting {
    @Group(isDefault = true, value = "default group")
    public static final C1902GKp DEFAULT = new C1902GKp();
    public static final LiveCommerceBannerSetting INSTANCE = new LiveCommerceBannerSetting();

    public final C1902GKp getValue() {
        C1902GKp gKp = (C1902GKp) SettingsManager.INSTANCE.getValueSafely(LiveCommerceBannerSetting.class);
        if (gKp == null) {
            return DEFAULT;
        }
        return gKp;
    }

    static {
        Covode.recordClassIndex(18053);
    }
}
